明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
查看: 1627|回复: 1

【特殊字符】[非文字字符的表示]譬如直径符号

[复制链接]
发表于 2012-8-1 08:54:34 | 显示全部楼层 |阅读模式
本帖最后由 Flyingdancing 于 2012-8-1 09:12 编辑

∅63x4.7
像这种,直径符号在VBA里面怎么表示?直接复制是显示问号
单行文字里面可以正常显示,直接复制到CAD自带的查找框也无效
这只是一个例子。其他的一些符号也有这种情况
球帮助

发表于 2012-8-2 11:47:16 | 显示全部楼层
单行文字设置textString参数值为"\U+2205直径值"
例子:
  1. Sub Example_AddText()
  2.     ' 该示例在模型空间中创建一个文字对象。

  3.    Dim textObj As AcadText
  4.     Dim textString As String
  5.     Dim insertionPoint(0 To 2) As Double
  6.     Dim height As Double
  7.    
  8.     ' 定义文字对象
  9.     textString = "\U+220510"
  10.     insertionPoint(0) = 2: insertionPoint(1) = 2: insertionPoint(2) = 0
  11.     height = 0.5
  12.    
  13.     ' 在模型空间中创建文字对象
  14.     Set textObj = ThisDrawing.ModelSpace.AddText(textString, insertionPoint, height)
  15.     ZoomAll
  16.    
  17. End Sub
多行文字设置text参数值为"%%c直径值"
例子:
  1. Sub Example_AddMtext()
  2.     ' 该示例在模型空间中创建多行文字对象。
  3.    
  4.    Dim MTextObj As AcadMText
  5.     Dim corner(0 To 2) As Double
  6.     Dim width As Double
  7.     Dim text As String
  8.     corner(0) = 0#: corner(1) = 10#: corner(2) = 0#
  9.     width = 10
  10.     text = "%%c10"

  11.     ' 创建多行文字对象
  12.     Set MTextObj = ThisDrawing.ModelSpace.AddMText(corner, width, text)
  13.     ZoomAll
  14.    
  15. End Sub
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2024-11-25 15:48 , Processed in 0.172620 second(s), 23 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表